body{
    background-color: #223;
    color: #aae;
    font-family: "Roboto thin", sans-serif;
    margin: 0;
    padding: 0;
}

.alerts {
    color: #2a2a2a;
    position: fixed;
    z-index: 3;
    top: 0.3rem;
    left: 20%;
    right: 20%;
    text-align: center;
    padding: 1rem;
    border-radius: 0.5rem;
}

$alert-table: (
    danger:#faa,
    warning:#ffa,
    success:#afa,
    info:#aaf
);

@each $key, $value in $alert-table {
    .alert-#{$key} {
        background-color: rgba($value, 0.75);
        box-shadow: 0 0 1rem rgba($value, 0.8);
        @extend .alerts;
    }
}


.top_bottom{
    position: fixed;
    z-index: 2;
    background-color: #2a2a2a;
    width: 100%;
    display: flex;
    align-items: center;
}

.top_bottom_content{
    width: 95%;
    display: flex;
    align-items: center;
    a{
        color: #aae;
        text-decoration: none;
        &:hover{
            color: #eef;
            text-decoration: underline;
            text-decoration-color: #aae;
        }
    }
    p, h1{
        margin: 0.5rem;
        padding: 0.5rem;
    }
}

.items{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: wrap;
}

.item-01{
    @extend .top_bottom;
    @extend .items;
    height: 4rem;
    top: 0;
    .headerContent{
        @extend .top_bottom_content;
        justify-content: space-between;
    }
}

.item-02{
    a{
        color: #aae;
        text-decoration: none;
        &:hover{
            color: #eef;
            text-decoration: underline;
            text-decoration-color: #aae;
        }
    }
    .content_accueil{
        margin: 5rem auto;
        padding: 1rem;
        width: 90%;
        max-width: 100rem;
        border: double #559 0.1rem;
        border-radius: 0.5rem;
        display: flex;
        justify-content: space-around;
        flex-flow: wrap;
        h2{
            width: 100%;
            height: 2.5rem;
            padding: 0.2rem 3rem;
        }
        .ac_users, .ac_articles{
            width: 95%;
            background-color: #334;
            border: solid #555577 0.1rem ;
            padding: 0.5rem;
            margin: 0.5rem;
            border-radius: 0.3rem;
        }
        .ac_us_flex{
            display: flex;
            flex-flow:row wrap;
            justify-content: space-around;
            a{
                margin: 0.5rem;
                padding: 0.5rem;
                border: solid 0.1rem #555577 ;
                border-radius: 1rem;
                min-width: 5rem;
                text-align: center;
                &:hover{
                    border: solid 0.1rem #aaaaee ;
                    box-shadow: 0 0 0 1px #aaaaee;
                }
                img.profile{
                    max-width: 3rem;
                    max-height: 3rem;
                    padding: 0.2rem;
                    border-radius: 1rem ;
                }
            }
            p{
                text-align: center;
            }

        }
        .ac_art_flex{
            display: flex;
            justify-content: space-around;
            flex-flow: wrap;
            .ac_art_article{
                border-radius: 1rem;
                border: #555577 solid 0.1rem;
                margin: 0.5rem;
                padding: 0.5rem;
                width: 15rem;
                img{
                    max-width: 7rem;
                    max-height: 7rem;
                    padding: 0.2rem;
                    border-radius: 1rem ;
                }

            }
        }
    }
    .content_form{
        margin: 5rem auto;
        padding: 1rem;
        width: 50%;
        max-width: 100rem;
        min-width: 15rem;
        border: double #559 0.1rem;
        border-radius: 0.5rem;
        form{
            flex-flow: column;
            label, input, textarea{
                margin: 0.5rem;
                padding: 0.2rem;
                outline: none;
            }
            textarea{
                width: 80%;
            }
        }
    }

    .content_grid{
        margin: 5rem auto;
        width: 98%;
        max-width: 100rem;
        display: grid;
        grid-gap: 0.2rem;
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        grid-template-areas: "l_sidebar" "articles" "r_sidebar";

        a{
            color: #aae;
            text-decoration: none;
            &:hover{
                color: #eef;
                text-decoration: underline;
                text-decoration-color: #aae;
            }
        }
        $table: (
                1:l_sidebar,
                2:articles,
                3:r_sidebar
        );
        .content_grid_items{
            display: flex;
            justify-content: center;
            padding: 1rem;
            border: double #557 0.1rem ;
        }
        @each $key, $value in $table{
            .content_grid-0#{$key}{
                grid-area: $value;
                @extend .content_grid_items;
            }
        }
        .content_grid-01{
            justify-content: flex-start;
            flex-flow: column wrap;
            border-radius: 0.5rem 0.5rem 0 0;
            img {
                padding: 0.5rem;
                max-width: 7rem;
                max-height: 7rem;
            }
        }
        .content_grid-02{
            min-height: 40rem;
            min-width: 30rem;
            flex-flow: column wrap;
            justify-content: flex-start;
            align-items: center;
            border: none;
            .userMenu{
                width: 100%;
                height: 2.5rem;
                margin: 0 auto;
                nav{
                    width: 60%;
                    margin: 0 auto;
                    display: flex;
                    justify-content: space-between;
                }
            }
            .article{
                margin: 0.5rem auto;
                width: 98%;
                border: double #555577 0.1rem;
                border-radius: 0.3rem;
                .ar_titre{
                    height: 1.5rem;
                    background-color: #555566;
                    padding: 0.2rem 0.5rem;

                }
                .ar_main{
                    width: 100%;
                    display: flex;
                    padding: 0.2rem 0.5rem;
                    .img{
                        img{
                            max-width: 15rem;
                            max-height: 15rem;
                            padding: 0.5rem;
                        }
                    }
                    .text{
                        width: 65%;
                        margin: 0.2rem;
                    }
                }
                .ar_foot{
                    height: 1.5rem;
                    bottom: 0;
                    background-color: #555566;
                    padding: 0.2rem 0.5rem;
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                }
            }
        }
        .content_grid-03{
            min-height: 5rem;
            border-radius: 0 0 0.5rem 0.5rem;
        }
    }

}

.item-03{
    @extend .top_bottom;
    @extend .items;
    bottom: 0;
    .bottom{
        @extend .top_bottom_content;
        justify-content: flex-end;
    }
}

@media screen and (min-width: 450px){
    .item-02 .content_grid{
        grid-template-columns: 13rem 1fr;
        grid-template-areas: "l_sidebar articles" "r_sidebar r_sidebar";
        .content_grid-01{
            border-radius: 0.5rem 0 0 0;
        }
        .content_grid-02{
            border-radius: 0 0.5rem 0 0;
        }
        .content_grid-03{
            border-radius: 0 0 0.5rem 0.5rem;
        }
    }
}
@media screen and (min-width: 770px){
    .item-02 .content_grid{
        grid-template-columns: 12rem 1fr 12rem;
        grid-template-areas: "l_sidebar articles r_sidebar";
        .content_grid-03{
            border-radius:0 0.5rem 0.5rem 0;
        }
        .content_grid-02{ border-radius: 0}
        .content_grid-01{
            border-radius: 0.5rem 0 0 0.5rem;
        }
    }
    .content_grid-03{
        flex-flow: wrap;
    }
}
@media screen and (min-width: 1400px){
    .item-02 .content_grid{
        grid-template-columns: 5rem 12rem 1fr 12rem 5rem;
        grid-template-areas: ". l_sidebar articles r_sidebar .";
    }
}